Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I want to run my X-Cart website on my own local Wampserver, to trial if updating the X-Cart server breaks the website or not. The X-Cart version is 4.2.2.

When I run it on localhost, I receive the following error before the main content:

( ! ) Deprecated: Function set_magic_quotes_runtime() is deprecated in C:\wamp\www\hilla\prepare.php on line 52
Call Stack
#   Time    Memory  Function    Location
1   0.0362  380720  {main}( )   ..\home.php:0
2   0.0497  392656  require( 'C:\wamp\www\hilla\auth.php' ) ..\home.php:38
3   0.0713  399144  require( 'C:\wamp\www\hilla\preauth.php' )  ..\auth.php:45
4   0.0899  650648  include_once( 'C:\wamp\www\hilla\init.php' )    ..\preauth.php:51
5   0.0957  878200  require_once( 'C:\wamp\www\hilla\prepare.php' ) ..\init.php:41

Error: Smarty error: [in customer/home.tpl line 18]: syntax error: unrecognized tag 'var' (Smarty_Compiler.class.php, line 590) in C:\wamp\www\hilla\include\lib\smarty\Smarty.class.php on line 1092

The local WampServer has Apache Version: 2.2.17, PHP Version: 5.3.5 .

Does this mean *set_magic_quotes_runtime()* does not work with PHP v5.3.5 or more?

share|improve this question
add comment

1 Answer

up vote 1 down vote accepted

This Means that the functions is decprecated so in PHP 5.3 she is included but in PHP6 not.

The Problem is that the warning makes an output when you disable the despricated messages in your php.ini the system should work.

share|improve this answer
    
@Stony - thanks. How do I disable deprecated messages in php.ini? –  Steve Apr 9 '11 at 11:23
    
@Steve: error_reporting = E_ALL & ~E_NOTICE & ~E_DEPRECATED –  Stony Apr 9 '11 at 11:43
    
@Stony. Made that change, restarted the server, and the error remains. ? –  Steve Apr 9 '11 at 13:23
    
@Steve have you looked that you have error_reporting only one time in the php.ini activated. In most cased there is a second value in the buttom of the file. –  Stony Apr 9 '11 at 14:17
    
@Stony: I found a second instance and added ~E_DEPRECATED, but the error remains. I found no other instances. –  Steve Apr 10 '11 at 1:08
show 2 more comments

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.